Subject: bug#72986: Disabling menu-bar-mode changes size of new frames

From: Reuben Thomas <[email-masked]>
Date: Sat, 14 Dec 2024 11:57:41 +0000

On Fri, 13 Dec 2024 at 14:32, Reuben Thomas <[email-masked]> wrote:

> I do have another machine that is still using GNOME, so I will try to test
> your patch before I switch it to KDE too.
>

I confirm that with this patch, and having set the new variable
gtk-insist-on-requested-size, all windows open at the correct size; or
rather, they are forced to reopen at that size.

Since Mozilla with their rather greater engineering resources don't seem to
be able to do any better (as I reported above), this seems at least
adequate to be going on with, and depending on testing results you might
consider defaulting the value of the variable to t.

Thanks once again for your labours!

-- 
https://rrt.sc3d.org